﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
/* Define all weights of SF Pro */
@font-face {
    font-family: 'SF Pro';
    font-style: normal;
    font-weight: 100;
    src: url('../Fonts/SF-Pro-Fonts/SF-Pro-Text-Black.otf') format('opentype');
}
 
@font-face {
    font-family: 'SF Pro';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/SF-Pro-Fonts/SF-Pro-Text-Regular.otf') format('opentype');
}

@font-face {
    font-family: 'SF Pro';
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/SF-Pro-Fonts/SF-Pro-Text-Medium.otf') format('opentype');
}

@font-face {
    font-family: 'SF Pro';
    font-style: normal;
    font-weight: 600;
    src: url('../fonts/SF-Pro-Fonts/SF-Pro-Text-Semibold.otf') format('opentype');
}

@font-face {
    font-family: 'SF Pro';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/SF-Pro-Fonts/SF-Pro-Text-Bold.otf') format('opentype');
}



/* Global default */
body {
    font-family: 'SF Pro', -apple-system, BlinkMacSystemFont, sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
}

/* Paragraphs */
p {
    font-size: 19px;
    font-weight: 400;
}

/* Links */
a {
    font-size: 16px;
    font-weight: 400;
}

/* Headings */
h1 {
    font-size: 40px;
    font-weight: 700;
}

h2 {
    font-size: 28px;
    font-weight: 600;
}

h3 {
    font-size: 22px;
    font-weight: 600;
}

h4 {
    font-size: 20px;
    font-weight: 500;
}

h5 {
    font-size: 18px;
    font-weight: 500;
}

h6 {
    font-size: 16px;
    font-weight: 400;
}

/* Captions / small text */
.small-text, figcaption {
    font-size: 14px;
    font-weight: 400;
}

/* Buttons */
button {
    font-size: 16px;
    font-weight: 600;
}





/*Google V3 ReCapcha css*/
.grecaptcha-badge {
    margin-right: 250px;
    opacity: 0;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Default nav link color */
.navbar-nav .nav-link {
    color: white; /* keep your default white */
}

/* Active nav link color */
.navbar-nav .nav-item.active .nav-link {
    color: gold !important; /* override Bootstrap */
}


/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}


.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

#HomepageRow {
    /*    background-image: url('/Assets/Img/BG/real-estate-3297625_1920.jpg');
*/
    /* The image used */
    background-image: url("/Assets/Img/Velverd_Ice_Cream_Purple_Home_page_Image_5000x3355.jpg");
    /* Full height */
    height: 100%;
    background-attachment: scroll; /* safer for mobile */
    /* Center and scale the image nicely */
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    filter: brightness(100%);
    /*the image to fade in smoothly on load*/
    transition: background-image 1s ease-in-out;
}

#HomepagePersona {
    min-height: 450px; /* desktop default */
    background-attachment: scroll; /* safer for mobile */
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    filter: brightness(100%);
    /* the image to fade in smoothly on load transition: background-image 1s ease-in-out;*/
     
}


/*Makes the close button float infront of the jwplayer and the filereader*/
.close-button {
    position: absolute;
    top: 10px; /* Adjust the top position as needed */
    right: 10px; /* Adjust the right position as needed */
    z-index: 1050; /* Ensure it is on top of other elements */
}

.Velverd-Bg {
    background-color: #391C4C !important;
}

.Velverd-Bg2 {
    background-color: #281535 !important;
    /*rgb(40, 21, 53)*/
}


.Velverd-Text {
    color: #391C4C !important;
}

.Velverd-Text2 {
    color: #281535 !important;
}

.Velverd-Text3 {
    color: fuchsia !important;
}


hr.line13 {
    height: 10px !important;
    border: 0 !important;
    box-shadow: 0 10px 10px -10px #8c8b8b inset !important;
}

hr.line14 {
    border: 0 !important;
    height: 2px !important;
    background-image: -webkit-linear-gradient(left, #f0f0f0, #8c8b8b, #f0f0f0) !important;
    background-image: -moz-linear-gradient(left, #f0f0f0, #8c8b8b, #f0f0f0) !important;
    background-image: -ms-linear-gradient(left, #f0f0f0, #8c8b8b, #f0f0f0) !important;
    background-image: -o-linear-gradient(left, #f0f0f0, #8c8b8b, #f0f0f0) !important;
}

.gold {
    background-color: gold;
}

.Gold_Text_Color {
    color: gold;
}

.Cream_Text_Color {
    color: antiquewhite;
}

.border-chocolate {
    border-color: chocolate !important;
}

.border-Strawberry {
    border-color: hotpink !important;
}

/* Remove default padding and set box-sizing */
.stepper-custom-ul {
    padding: 0 !important; /* Remove default padding */
    box-sizing: border-box; /* Include padding and border in the element's total width */
}

.validation-error {
    border: 2px solid #e74c3c !important; /* Bright red border */
    box-shadow: 0 0 5px #e74c3c;
    transition: all 0.3s ease-in-out;
}

.MainEmailDiv {
    display: none;
}


.fooicon-plus {
    font-size: larger;
}

/*The img logo was responsible for the wide right gap on the web page, adding this img css removed it*/
img {
    image-resolution: snap;
    image-rendering: optimizeQuality;
    image-orientation: from-image;
    max-width: 100%;
}


.img-custom {
    image-resolution: snap;
    image-rendering: optimizeQuality;
    image-orientation: from-image;
    max-width: 500%;
    height:auto !important;
}


.txtShadow {
    text-shadow: 2px 3px 3px rgba(0,0,0,0.51)
}

.txtShadow2 {
    text-shadow: 0px 1px 0px rgba(0,0,0,0.51)
}


/*//make png image drop shadow*/
.img-shadow {
    -webkit-filter: drop-shadow(2px 2px 2px #666666);
    filter: drop-shadow(2px 12x 2px #666666);
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}


html {
    position: relative;
    min-height: 100%;
}

html {
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    scroll-behaviour: smooth !important;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 0px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-text-stroke: 0.45px rgba(0, 0, 0, 0.1);
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    height: 100%;
}

body {
    overflow-x: hidden;
}


.modal-xxl {
    min-width: 90%;
}

.modal-xxxl {
    min-width: 100%;
}

#BtnFrontPage {
    background-color: fuchsia !important;
}
.btn-CTA-1 {
    background-color: fuchsia !important;
}

/*@media (min-width: 768px) {
    .adjust-width {
        width: 100% !important;
        padding-left: 0px;
        padding-right: 0px;
    }

    html {
        font-size: 16px;
    }

    #HomepagePersona {
        background-size: contain;
        background-color: #3b1f52;*/ /* match your purple */
/*}
}*/


@media screen and (min-width: 180px) and (max-width:767px) {
    /* Relevant BreakPoint */

    .adjust-width {
        width: 100% !important;
        padding-left: 0px;
        padding-right: 0px;
    }

    html {
        font-size: 16px;
    }

    #HomepagePersona {
        background-size: contain;
        background-color: #3b1f52; /* match your purple */

    }

    #BtnFrontPage{background-color:fuchsia !important;}
   
}


 
/*CSS FOR MOBILE TABLETS LIKE IPAD MINI AND IPAD 9.7 PORTRAIT*/
@media screen and (min-width: 768px) and (max-width:1024px) and (orientation: landscape) and (-webkit-min-device-pixel-ratio: 1) {
    /* Not so sure if this BreakPoint is Relevant*/
    .adjust-width {
        width: 100% !important;
        padding-left: 0px;
        padding-right: 0px;
    }

    html {
        font-size: 16px;
    }

    #HomepagePersona {
        min-width: 100px;
        background-size: contain;
        background-color: #3b1f52; /* match your purple */
    }

    #BtnFrontPage {
        background-color: fuchsia !important;
    }

    .stepper.horizontal {
        min-height: 500px;
    }
}


@media screen and (min-width: 1025px) and (max-width: 1999px) {
    /* Relevant BreakPoint */
    #BtnFrontPage {
        background-color: fuchsia !important;
    }

    .stepper.horizontal {
        min-height: 500px;
    }

    #First-step-NotSizing {
        height: 400px;
    }
}

@media screen and (min-width: 1200px) {
    /* Relevant BreakPoint */
    #BtnFrontPage {
        background-color: fuchsia !important;
    }

    .stepper.horizontal {
        min-height: 500px;
    }

    #First-step-NotSizing {
        height: 400px;
    }

    
}